Bug 97073 - Files written to some MP3 players using the FAT filesystem strangely disappear.
Files written to some MP3 players using the FAT filesystem strangely disappear.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-06-09 18:22 EDT by Eric Enright
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Enright 2003-06-09 18:22:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
This problem fixed in linux-2.5.40, but worthy of note:

From the 2.5.40 ChangeLog:

[PATCH] use fff/ffff/fffffff instead of ff8/fff8/ffffff8 for EOF of FAT
On FAT12, the current FAT driver recognizes 0xff8-0xfff as EOF, and it writes in
0xff8 as EOF.  This is right behavior.  However, the firmware of some
MP3-Players recognize only 0xfff (standard EOF which Micorsoft uses) as EOF.
So, we write 0xfff instead of 0xff8 as EOF, until the reason we need values
other than standard EOF is found.


Anyone wishing to use one of these MP3 players (mine is the RCA/Thomson Lyra
1021A), must either upgrade to kernel 2.5.40 or later, or patch their own

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Mount the device.
2. Copy files and umount.
3. Disconnect device.

Actual Results:  Any files copied "disappeared" from the device.

Expected Results:  Hear the tracks in my headphones ;)

Additional info:
Comment 1 Alan Cox 2003-06-10 14:27:42 EDT
In 2.4.20-ac since pre8 so this may be ok in the current errata kernel 
Comment 2 Bugzilla owner 2004-09-30 11:41:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.